Name:           openfortivpn
Version:        1.22.0
Release:        0%{?dist}
Summary:        Client for PPP+SSL VPN tunnel services

License:        GPLv3+
URL:            https://github.com/adrienverge/openfortivpn
Source0:        https://github.com/adrienverge/openfortivpn/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc autoconf automake
BuildRequires:  openssl-devel >= 1:1.0.2
Requires:       ppp, openssl >= 1:1.0.2

%description
openfortivpn is a client for PPP+SSL VPN tunnel services. It spawns a pppd
process and operates the communication between the gateway and this process.

It is compatible with Fortinet VPNs.


%prep
%setup -q


%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1


%install
%make_install


%files
%{_bindir}/openfortivpn
%{_unitdir}/%{name}@.service
%{_mandir}/man1/openfortivpn.1*
%{_datadir}/openfortivpn
%dir %{_sysconfdir}/openfortivpn
%config(noreplace) %{_sysconfdir}/openfortivpn/config
%doc README.md
%license LICENSE


%changelog
* Mon May  6 2024 René Vermare <rene@vermare.org> - 1.22.0-0
- Build of version 1.22.0
1.22.0
  make sure Homebrew packages for macOS are built with --enable-legacy-pppd
  do not print TLS socket options in log (revert change from 1.16.0)
  add option to specify SNI
  change most occurrences of "SSL" to "TLS" in user-visible text
1.21.0
  fix "Peer refused to agree to his IP address" message, again
  deprecate option --plugin
  better masking of password in logs
  break on reading 0 from ppp pty, for non-Linux systems
1.20.5
  revert previous fix from 1.20.4, make it optional
1.20.4
  fix "Peer refused to agree to his IP address" message
1.20.3
  minor change in a warning message
  documentation improvement
  minor changes in build and test files
1.20.2
  fix regression: do attempt to apply duplicate routes, log INFO instead of WARN
  minor changes in log messages
1.20.1
  fix version string in configure.ac
1.20.0
  fix incorrect empty HDLC frame detection causing connection drops
  increase the inbound HTTP buffer capacity
  fix a few log messages
  fix innocuous memory leaks when parsing options
  prepend "SVPNCOOKIE=" to the cookie if missing
  drop support for openssl < 1.0.2
1.19.0
  fix "Peer refused to agree to our IP address" message
  avoid setting duplicate routes
  remove obsolete code that reads non-XML config from FortiOS 4
  improve warning message when reading options from config file
1.18.0
  add new options to delegate the authentication to external programs
  minor fixes in documentation
1.17.3
  fix regression: spurious warning message after reading config

* Fri Apr  8 2022 René Vermare <rene@vermare.org> - 1.17.2-0
- Build of version 1.17.2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.10.0-1
- Update to latest upstream version

* Wed Mar 20 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.9.0-3
- Add pinentry support

* Wed Mar 20 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.9.0-2
- Fix operations with the NetworkManager plugin

* Wed Mar 20 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.9.0-1
- Update to latest upstream version

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 16 2018 Adrien Vergé <adrienverge@gmail.com> - 1.8.1-1
- Update to latest upstream version

* Tue Dec 11 2018 Adrien Vergé <adrienverge@gmail.com> - 1.8.0-1
- Update to latest upstream version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Adrien Vergé <adrienverge@gmail.com> - 1.6.0-2
- Add gcc to BuildRequires

* Wed Feb 21 2018 Lubomir Rintel <lkundrak@v3.sk> - 1.6.0-1
- Update to latest upstream version

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Lubomir Rintel <lkundrak@v3.sk> - 1.5.0-1
- Update to latest upstream version

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 7 2017 Adrien Vergé <adrienverge@gmail.com> - 1.3.0-2
- Fix compiler error, see https://github.com/adrienverge/openfortivpn/issues/81

* Tue Feb 7 2017 Adrien Vergé <adrienverge@gmail.com> - 1.3.0-1
- Update to latest upstream version

* Thu Sep 29 2016 Adrien Vergé <adrienverge@gmail.com> - 1.2.0-1
- Update to latest upstream version

* Sun Feb 14 2016 Adrien Vergé <adrienverge@gmail.com> - 1.1.4-1
- Update to latest upstream version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 26 2015 Adrien Vergé <adrienverge@gmail.com> - 1.1.3-1
- Update to latest upstream version

* Sat Dec 05 2015 Adrien Vergé <adrienverge@gmail.com> - 1.1.2-1
- Update to latest upstream version

* Mon Oct 05 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.1.0-1
- Update to a new upstream release

* Fri Sep 18 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.1-2.20150918gita31c599
- Update to latest pristine sources:
- Improve HTTP buffering
- Fix SSL verification

* Wed Sep 16 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.1-2.20150914gitb22d9eb
- Mark configuration file as noreplace (Christopher Meng, #1263008)

* Mon Sep 14 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.1-1.20150914gitb22d9eb
- Initial packaging
